# 重新编排
Retypeset 是一款基于 [Astro](https://astro.build/) 框架的静态博客主题，中文名为重新编排，最初灵感来自 [Typography](https://astro-theme-typography.vercel.app/)。本主题以原主题风格为基础，通过建立统一的色彩、版式、字体规范，对所有页面都进行重新编排，力求还原活字印刷时代的阅读体验，同时不失现代设计的优雅与简约。处处皆为细节，方寸尽显优雅。

## 🚧 进度
当前开发进度约 50%，暂不建议使用本主题

## 🔎 预览
- [开发预览](https://retypeset.radishzz.cc/)
- [移动端设计图](https://mastergo.com/file/151079538766773?fileOpenFrom=home&page_id=M&source=link_share&shareId=151079538766773)
- [主题配置介绍](https://github.com/radishzzz/astro-theme-retypeset/blob/master/src/config.ts)

## 🚀 性能
[PageSpeed Insights](https://pagespeed.web.dev/analysis/https-retypeset-radishzz-cc/f3h9h891jn?form_factor=mobile)

## ✨ 特征：
1. 工具：基于 Astro、Typescript 与 Unocss 开发
2. 扩展：支持 RSS、Sitemap、MDX、LaTeX 等
3. i18n ：支持简体中文、繁体中文、日语、英语、西班牙语、俄语
4. 按键：支持多语言切换、亮暗主题切换、返回顶部/主页
5. 字体：包含初夏明朝体 VF、Snell Roundhand SF、STIX Two Text VF，无商用/嵌入限制
6. 排版：针对 CJK 字体，使用赫蹏进行排版样式增强
7. 动画：支持 View Transitions 与 GSAP
8. 性能： 最小化 CSS 与 JavaScript，支持资源预加载、图片懒加载
9. 配置：支持切换黑体/宋体、设置评论、站点验证、自定义页脚等

## 🎯 TODO
1. 英文 readme
2. waline 评论
3. 目录
4. 搜索
5. 自动生成 OG
6. GSAP
7. 主题说明文档
8. 优化 heti css
9. 自定义文章 slug
10. 首页同步滚动
11. img to figure
12. 样式 bug 测试
13. 内存异常增长测试

## 📦 安装
Fork and Deploy

## ⏫ 更新
Sync Fork

## 📝 文档
TODO

## 💖 感谢
优秀主题参考
- [Typography](https://astro-theme-typography.vercel.app/)
- [Fuwriu](https://github.com/saicaca/fuwari)
- [Astro Paper](https://github.com/satnaing/astro-paper)

## 🌟 Star History
TODO
